curl -L 'https://api.turso.tech/v3/organizations/{organizationId}/databases?deleted=true' \
-H 'Authorization: Bearer TOKEN'
{
"databases": [
{
"Name": "<string>",
"DbId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"Hostname": "<string>",
"group": "<string>",
"group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"regions": [
"<string>"
],
"primaryRegion": "<string>",
"delete_protection": true,
"deleted_at": "2023-11-07T05:31:56Z",
"group_deleted_at": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"next": "<string>"
}
}Databases
List Deleted Databases
Returns databases deleted within the last five days, which can still be restored. Requires a paid plan. Available even while recovery is disabled for the organization.
GET
/
v3
/
organizations
/
{organizationId}
/
databases
curl -L 'https://api.turso.tech/v3/organizations/{organizationId}/databases?deleted=true' \
-H 'Authorization: Bearer TOKEN'
{
"databases": [
{
"Name": "<string>",
"DbId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"Hostname": "<string>",
"group": "<string>",
"group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"regions": [
"<string>"
],
"primaryRegion": "<string>",
"delete_protection": true,
"deleted_at": "2023-11-07T05:31:56Z",
"group_deleted_at": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"next": "<string>"
}
}Unlike the v1 endpoints, this endpoint identifies the organization by its
UUID — the
id field from
Retrieve Organization.curl -L 'https://api.turso.tech/v3/organizations/{organizationId}/databases?deleted=true' \
-H 'Authorization: Bearer TOKEN'
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The UUID of the organization. Retrieve it with the Retrieve Organization endpoint (the id field).
Query Parameters
Must be true to list deleted databases.
Filter deleted databases by name.
Page size, from 1 to 1000.
Opaque pagination cursor from the previous page's pagination.next.
Was this page helpful?